import os
import json
import glob

if __name__ == '__main__':
    # data_set_path = '/data/job_520/data_set.json'
    add_list = ['1.2.156.112605.66988328760313.231026031131.3.8620.134417',
                '1.2.840.113704.1.111.9412.1695280281.7',
                '1.2.840.113619.2.476.141016904496761885814802407350499188548',
                '1.3.12.2.1107.5.1.4.85583.30000021121223014518300189444',
                '1.2.840.113704.1.111.736.1664441216.12']
    # out_json_path = '/data/job_520/job_data_preprocess/input/data_set.json'
    # raw_data_dir = '/data/job_520/raw_data_520'
    out_json_path = '/data/job_465/job_data_preprocess/input/data_set.json'
    raw_data_dir = '/data/job_465/raw_data_465'
    data = {"protocal": "FILE", "dataList": []}
    for i in glob.glob(os.path.join(raw_data_dir, '*.zip')):
        base_name = os.path.basename(i).split('.zip')[0]
        if base_name in add_list:
            data['dataList'].append({"rawDataType": "DCM_ZIP",
                                    "rawDataUrls": [i]})
    with open(out_json_path, 'w+') as f:
        json.dump(data, f, indent=4)
    